// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		29ED6F84225D98370010AFE9 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 29ED6F83225D98370010AFE9 /* AppDelegate.swift */; };
		29ED6F86225D98370010AFE9 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 29ED6F85225D98370010AFE9 /* ViewController.swift */; };
		29ED6F89225D98370010AFE9 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 29ED6F87225D98370010AFE9 /* Main.storyboard */; };
		29ED6F8B225D98380010AFE9 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 29ED6F8A225D98380010AFE9 /* Assets.xcassets */; };
		29ED6F8E225D98380010AFE9 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 29ED6F8C225D98380010AFE9 /* LaunchScreen.storyboard */; };
		29ED6F96225D98850010AFE9 /* Card.swift in Sources */ = {isa = PBXBuildFile; fileRef = 29ED6F95225D98850010AFE9 /* Card.swift */; };
		29ED6F98225D98CC0010AFE9 /* CardControllerView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 29ED6F97225D98CC0010AFE9 /* CardControllerView.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		29ED6F80225D98370010AFE9 /* CAHard.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = CAHard.app; sourceTree = BUILT_PRODUCTS_DIR; };
		29ED6F83225D98370010AFE9 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		29ED6F85225D98370010AFE9 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		29ED6F88225D98370010AFE9 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		29ED6F8A225D98380010AFE9 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		29ED6F8D225D98380010AFE9 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		29ED6F8F225D98380010AFE9 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		29ED6F95225D98850010AFE9 /* Card.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Card.swift; sourceTree = "<group>"; };
		29ED6F97225D98CC0010AFE9 /* CardControllerView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CardControllerView.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		29ED6F7D225D98370010AFE9 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		29ED6F77225D98370010AFE9 = {
			isa = PBXGroup;
			children = (
				29ED6F82225D98370010AFE9 /* CAHard */,
				29ED6F81225D98370010AFE9 /* Products */,
			);
			sourceTree = "<group>";
		};
		29ED6F81225D98370010AFE9 /* Products */ = {
			isa = PBXGroup;
			children = (
				29ED6F80225D98370010AFE9 /* CAHard.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		29ED6F82225D98370010AFE9 /* CAHard */ = {
			isa = PBXGroup;
			children = (
				29ED6F83225D98370010AFE9 /* AppDelegate.swift */,
				29ED6F85225D98370010AFE9 /* ViewController.swift */,
				29ED6F87225D98370010AFE9 /* Main.storyboard */,
				29ED6F8A225D98380010AFE9 /* Assets.xcassets */,
				29ED6F8C225D98380010AFE9 /* LaunchScreen.storyboard */,
				29ED6F8F225D98380010AFE9 /* Info.plist */,
				29ED6F95225D98850010AFE9 /* Card.swift */,
				29ED6F97225D98CC0010AFE9 /* CardControllerView.swift */,
			);
			path = CAHard;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		29ED6F7F225D98370010AFE9 /* CAHard */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 29ED6F92225D98380010AFE9 /* Build configuration list for PBXNativeTarget "CAHard" */;
			buildPhases = (
				29ED6F7C225D98370010AFE9 /* Sources */,
				29ED6F7D225D98370010AFE9 /* Frameworks */,
				29ED6F7E225D98370010AFE9 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = CAHard;
			productName = CAHard;
			productReference = 29ED6F80225D98370010AFE9 /* CAHard.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		29ED6F78225D98370010AFE9 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1020;
				LastUpgradeCheck = 1020;
				ORGANIZATIONNAME = ol;
				TargetAttributes = {
					29ED6F7F225D98370010AFE9 = {
						CreatedOnToolsVersion = 10.2;
					};
				};
			};
			buildConfigurationList = 29ED6F7B225D98370010AFE9 /* Build configuration list for PBXProject "CAHard" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 29ED6F77225D98370010AFE9;
			productRefGroup = 29ED6F81225D98370010AFE9 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				29ED6F7F225D98370010AFE9 /* CAHard */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		29ED6F7E225D98370010AFE9 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				29ED6F8E225D98380010AFE9 /* LaunchScreen.storyboard in Resources */,
				29ED6F8B225D98380010AFE9 /* Assets.xcassets in Resources */,
				29ED6F89225D98370010AFE9 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		29ED6F7C225D98370010AFE9 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				29ED6F86225D98370010AFE9 /* ViewController.swift in Sources */,
				29ED6F96225D98850010AFE9 /* Card.swift in Sources */,
				29ED6F98225D98CC0010AFE9 /* CardControllerView.swift in Sources */,
				29ED6F84225D98370010AFE9 /* AppDelegate.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		29ED6F87225D98370010AFE9 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				29ED6F88225D98370010AFE9 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		29ED6F8C225D98380010AFE9 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				29ED6F8D225D98380010AFE9 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		29ED6F90225D98380010AFE9 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.2;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		29ED6F91225D98380010AFE9 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "iPhone Developer";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 12.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		29ED6F93225D98380010AFE9 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8M8SAX62V2;
				INFOPLIST_FILE = CAHard/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = ol.leif.CAHard;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		29ED6F94225D98380010AFE9 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = 8M8SAX62V2;
				INFOPLIST_FILE = CAHard/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 12.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = ol.leif.CAHard;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		29ED6F7B225D98370010AFE9 /* Build configuration list for PBXProject "CAHard" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				29ED6F90225D98380010AFE9 /* Debug */,
				29ED6F91225D98380010AFE9 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		29ED6F92225D98380010AFE9 /* Build configuration list for PBXNativeTarget "CAHard" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				29ED6F93225D98380010AFE9 /* Debug */,
				29ED6F94225D98380010AFE9 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 29ED6F78225D98370010AFE9 /* Project object */;
}
